Package net.snowflake.client.core

## Class SFExtendedCrlTrustManager

- java.lang.Object
- - javax.net.ssl.X509ExtendedTrustManager
  - - net.snowflake.client.core.SFExtendedCrlTrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

    @SnowflakeJdbcInternalApi
    public class SFExtendedCrlTrustManager
    extends X509ExtendedTrustManager

### Constructor Summary

Constructors
`SFExtendedCrlTrustManager​(CrlRevocationManager revocationManager, X509ExtendedTrustManager trustManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkClientTrusted​(X509Certificate[] chain, String authType)`
`void` `checkClientTrusted​(X509Certificate[] chain, String authType, Socket socket)`
`void` `checkClientTrusted​(X509Certificate[] chain, String authType, SSLEngine engine)`
`void` `checkServerTrusted​(X509Certificate[] chain, String authType)`
`void` `checkServerTrusted​(X509Certificate[] chain, String authType, Socket socket)`
`void` `checkServerTrusted​(X509Certificate[] chain, String authType, SSLEngine engine)`
`X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFExtendedCrlTrustManager

    public SFExtendedCrlTrustManager​(CrlRevocationManager revocationManager,
                                     X509ExtendedTrustManager trustManager)

### Method Detail

#### checkClientTrusted

    public void checkClientTrusted​(X509Certificate[] chain,
                                   String authType)
                            throws CertificateException

Throws:
  `CertificateException`

#### checkClientTrusted

    public void checkClientTrusted​(X509Certificate[] chain,
                                   String authType,
                                   Socket socket)
                            throws CertificateException

Specified by:
  `checkClientTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

#### checkClientTrusted

    public void checkClientTrusted​(X509Certificate[] chain,
                                   String authType,
                                   SSLEngine engine)
                            throws CertificateException

Specified by:
  `checkClientTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

#### checkServerTrusted

    public void checkServerTrusted​(X509Certificate[] chain,
                                   String authType)
                            throws CertificateException

Throws:
  `CertificateException`

#### checkServerTrusted

    public void checkServerTrusted​(X509Certificate[] chain,
                                   String authType,
                                   SSLEngine engine)
                            throws CertificateException

Specified by:
  `checkServerTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

#### checkServerTrusted

    public void checkServerTrusted​(X509Certificate[] chain,
                                   String authType,
                                   Socket socket)
                            throws CertificateException

Specified by:
  `checkServerTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()